Get order events
curl --request GET \
--url https://futures.kraken.com/api/history/v3/orders \
--header 'APIKey: <api-key>' \
--header 'Authent: <api-key>'import requests
url = "https://futures.kraken.com/api/history/v3/orders"
headers = {
"APIKey": "<api-key>",
"Authent": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {APIKey: '<api-key>', Authent: '<api-key>'}};
fetch('https://futures.kraken.com/api/history/v3/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/api/history/v3/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("APIKey", "<api-key>")
req.Header.Add("Authent", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"accountUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"len": 123,
"elements": [
{
"uid": "<string>",
"timestamp": 1604937694000,
"event": {
"OrderPlaced": {
"order": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tradeable": "<string>",
"direction": "Buy",
"quantity": "1234.56789",
"filled": "1234.56789",
"timestamp": 1604937694000,
"limitPrice": "1234.56789",
"orderType": "Limit",
"clientId": "<string>",
"reduceOnly": true,
"lastUpdateTimestamp": 1604937694000,
"positionUid": "<string>",
"spotData": {
"margin": true,
"feePreference": "Base",
"quantityPreference": "Base"
},
"parentOfGroupId": "<string>",
"memberOfGroupId": "<string>",
"partnerOrderId": "<string>",
"regulatoryExternalUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"reason": "<string>",
"reducedQuantity": "<string>"
}
}
}
],
"serverTime": "2023-11-07T05:31:56Z",
"continuationToken": "aSDinaTvuI8gbWludGxpZnk="
}Account History
Get order events
Lists order events for authenticated account.
GET
/
orders
Get order events
curl --request GET \
--url https://futures.kraken.com/api/history/v3/orders \
--header 'APIKey: <api-key>' \
--header 'Authent: <api-key>'import requests
url = "https://futures.kraken.com/api/history/v3/orders"
headers = {
"APIKey": "<api-key>",
"Authent": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {APIKey: '<api-key>', Authent: '<api-key>'}};
fetch('https://futures.kraken.com/api/history/v3/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/api/history/v3/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("APIKey", "<api-key>")
req.Header.Add("Authent", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"accountUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"len": 123,
"elements": [
{
"uid": "<string>",
"timestamp": 1604937694000,
"event": {
"OrderPlaced": {
"order": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tradeable": "<string>",
"direction": "Buy",
"quantity": "1234.56789",
"filled": "1234.56789",
"timestamp": 1604937694000,
"limitPrice": "1234.56789",
"orderType": "Limit",
"clientId": "<string>",
"reduceOnly": true,
"lastUpdateTimestamp": 1604937694000,
"positionUid": "<string>",
"spotData": {
"margin": true,
"feePreference": "Base",
"quantityPreference": "Base"
},
"parentOfGroupId": "<string>",
"memberOfGroupId": "<string>",
"partnerOrderId": "<string>",
"regulatoryExternalUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"reason": "<string>",
"reducedQuantity": "<string>"
}
}
}
],
"serverTime": "2023-11-07T05:31:56Z",
"continuationToken": "aSDinaTvuI8gbWludGxpZnk="
}Authorizations
Query Parameters
Response
200 - application/json
Was this page helpful?